The adsl connection doesn't works. Every time i must use pppoeconf

Bug #16380 reported by Francesco Frassinelli
30
Affects Status Importance Assigned to Milestone
pppoeconf (Ubuntu)
Medium
Adam Conrad

Bug Description

The adsl connection doesn't works. Every time i must use pppoeconf for use internet.

Revision history for this message
Matt Zimmerman (mdz) wrote :

You haven't provided enough information for us to understand your problem.
Please explain what you did, and the results, in enough detail for us to
duplicate your actions and observe the results.

Revision history for this message
Matt Zimmerman (mdz) wrote :

This bug has been marked as a duplicate of bug 16628.

Revision history for this message
Matt Zimmerman (mdz) wrote :

*** Bug 20341 has been marked as a duplicate of this bug. ***

Revision history for this message
Matt Zimmerman (mdz) wrote :

*** Bug 22703 has been marked as a duplicate of this bug. ***

Revision history for this message
Adam Conrad (adconrad) wrote :

This should be fixed with the upload of pppoeconf_1.8ubuntu1 to breezy.

Revision history for this message
Nelson Hereveri (nhereveri) wrote :

Hi.
I work in breezy preview, but i can't properly run PPPoE (on boot). I upgrade
every time, but don'fix any errors.
The /etc/init.d/ppp and pppoeconf_on_boot scripts and looks fine for me. Links
in /etc/rc2.d/ are fine to.

Maybe is other package error. [PPP] X_X

Please comment!

Thanks.

Revision history for this message
Adam Conrad (adconrad) wrote :

If you re-run pppoeconf with the latest (1.8ubuntu1) version installed, does
that improve things for you?

Revision history for this message
Daniel Hahler (blueyed) wrote :

I dist-upgraded yesterday to breezy and have the same problem (being forced to use pppoeconf after reboot).

/var/log/syslog says (when booting):
Oct 1 07:49:17 localhost pppd[14127]: Plugin rp-pppoe.so loaded.
Oct 1 07:49:17 localhost pppd[14129]: pppd 2.4.3 started by root, uid 0
Oct 1 07:49:17 localhost pppd[14129]: sendPacket: send: Network is down
Oct 1 07:49:17 localhost pppd[14129]: Exit.

I'm using pppoeconf_1.8ubuntu1_all.deb.

Unfortunately every run of pppoeconf adds an additional entry to /etc/network/interfaces:

------------------------------------------------------------------------
$ cat /etc/network/interfaces
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# This is a list of hotpluggable network interfaces.
# They will be activated automatically by the hotplug subsystem.
mapping hotplug
        script grep
        map eth0
        map eth1

auto dsl-provider
iface dsl-provider inet ppp
provider dsl-provider

auto eth0
    iface eth0 inet manual
auto eth1
    iface eth1 inet manual

auto eth0

    iface eth0 inet manual

auto eth0

    iface eth0 inet manual
------------------------------------------------------------------------
(the last 7 lines [including blank ones] have been added by pppoeconf from 2 times being run).

Revision history for this message
Daniel Hahler (blueyed) wrote :

Created an attachment (id=4253)
A patch to fix edits to /etc/network/interfaces

This fixes:
a) bringing up the interface on boot when upgrading from Hoary
b) adding the two "auto $iface"-related lines on each run

Revision history for this message
Daniel Hahler (blueyed) wrote :

(From update of attachment 4253)
--- /usr/sbin/pppoeconf 2005-09-29 10:22:32.000000000 +0200
+++ pppoeconf.fix 2005-10-01 12:15:29.000000000 +0200
@@ -240,20 +240,29 @@
      fi
   fi

- if ! grep -q "^auto\ +$iface" $INTFILE ; then
+ # Adding iface config
+ if ! grep -q "^auto[[:space:]]+$iface" $INTFILE ; then
       echo >> $INTFILE
+ echo "# added by pppoeconf" >> $INTFILE
       echo "auto $iface" >> $INTFILE
- fi

- if ! grep -q "^\ *iface\ +$iface" $INTFILE ; then
- echo >> $INTFILE
- echo " iface $iface inet manual" >> $INTFILE
+ if ! grep -q "^[[:space:]]*iface[[:space:]]+$iface" $INTFILE ; then
+ echo " iface $iface inet manual" >> $INTFILE
+ fi
   fi

 # if test "$?" = "0"; then
       if [ "$kernel_pppoe" ]; then
   # interface activation code - this sucks here, pppd plugin should do
it as needed
- sed -i -e "s,pre-up
/sbin/ifconfig[[:space:]]\+[^[:space:]]\+[[:space:]]\+up.#.line.maintained.by.p
ppoeconf,pre-up /sbin/ifconfig $ifacenocomma up # line maintained by
pppoeconf," $INTFILE
+ # FIXME: Make sure that it gets added to correct iface stanza!
(Because it's not always added above)
+ PATTERN_PREUP_IFACE="pre-up
/sbin/ifconfig[[:space:]]\+[^[:space:]]\+[[:space:]]\+up.#.line.maintained.by.p
ppoeconf"
+ REPLACE_PREUP_IFACE=" pre-up /sbin/ifconfig $ifacenocomma up #
line maintained by pppoeconf"
+ if grep -q "$PATTERN_PREUP_IFACE" $INTFILE; then
+ sed -i -e "s,$PATTERN_PREUP_IFACE,$REPLACE_PREUP_IFACE," $INTFILE
+ else
+ echo >> $INTFILE
+ echo $REPLACE_PREUP_IFACE>> $INTFILE
+ fi

   # change peers config file, sanity check first
 # grep -q "^plugin.*rp-pppoe.so" $OPTSFILE || echo "plugin rp-pppoe.so
$iface" >> $OPTSFILE

Revision history for this message
Daniel Hahler (blueyed) wrote :

Created an attachment (id=4254)
A patch to fix edits to /etc/network/interfaces (fixes first patch)

This fixes:
a) bringing up the interface on boot when upgrading from Hoary
b) adding the two "auto $iface"-related lines on each run

Revision history for this message
Scott Lewin (sclewin) wrote :

(In reply to comment #11)
> Created an attachment (id=4254) [edit]
> A patch to fix edits to /etc/network/interfaces (fixes first patch)
>
> This fixes:
> a) bringing up the interface on boot when upgrading from Hoary
> b) adding the two "auto $iface"-related lines on each run
Hi,

    It would be nice to have this bug considered confirmed as many people,
including myself, seem to have this bug.

    How do you use the above fix for this bug? I saved the patch and put it in
the /etc/network/ folder and replaced it with my interfaces and this did not
seem to work. I still need to run pppoeconf everytime I start my computer to
get my internet to work. I must say that this is really anoying to do this
everytime. Thanks for the help.

Your friend,
Scott

Revision history for this message
Daniel Hahler (blueyed) wrote :

(In reply to comment #12)
> How do you use the above fix for this bug? I saved the patch and put it in
> the /etc/network/ folder and replaced it with my interfaces and this did not
> seem to work. I still need to run pppoeconf everytime I start my computer to
> get my internet to work.

The patch is for the pppoeconf program and fixes issues with lines this program adds to /etc/network/interfaces.

The problem probably with you config is that you do not have the line
  pre-up /sbin/ifconfig eth0 up # line maintained by pppoeconf
in this file.

Please attach your current /etc/network/interfaces file and afterwards try adding the above line.

You should also make sure that you don't have multiple
  auto eth0
      iface eth0 inet dhcp
stanzas in this file.

> I must say that this is really anoying to do this everytime.

I know.

Revision history for this message
Trent Lloyd (lathiat) wrote :

This bug is still occuring

a) the /etc/network/interfaces change doesn't actually work
and
b) it will still break upgrades

Revision history for this message
Daniel Hahler (blueyed) wrote :

(In reply to comment #14)

> This bug is still occuring
> a) the /etc/network/interfaces change doesn't actually work
> and
> b) it will still break upgrades

Have you tried patching the pppoeconf script with my patch?

Revision history for this message
Andreas Simon (andreas-w-simon) wrote :

The patched pppoeconf is woking here.

After removing the multiple
  auto eth0
        iface eth0 inet dhcp
entries and rerunning the patched pppoeconf I ended with this
/etc/network/interfaces file:

---------------------
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# This is a list of hotpluggable network interfaces.
# They will be activated automatically by the hotplug subsystem.
mapping hotplug
        script grep
        map eth0

auto dsl-provider
iface dsl-provider inet ppp
provider dsl-provider

# added by pppoeconf
auto eth0
    iface eth0 inet manual
    pre-up /sbin/ifconfig eth0 up # line maintained by pppoeconf
---------------------

which works fine.

BTW, it would really suck to have Ubuntu 5.10 ship with a broken pppoeconf.

Revision history for this message
Matt Zimmerman (mdz) wrote :

Isn't this fixed by your pppoeconf upload, Adam?

Revision history for this message
Adam Conrad (adconrad) wrote :

Yup, was waiting for it to hit the archive before closing. Should be all fixed
with 1.8ubuntu2

Revision history for this message
tzutolin (tzutolin) wrote :

(In reply to comment #18)
> Yup, was waiting for it to hit the archive before closing. Should be all fixed
> with 1.8ubuntu2

The latest version, 1.8ubuntu2, seems not working here. I still have to redo
pppoeconf everytime i reboot.

Revision history for this message
Adam Conrad (adconrad) wrote :

Have you followed the directions else(In reply to comment #19)
>
> The latest version, 1.8ubuntu2, seems not working here. I still have to redo
> pppoeconf everytime i reboot.

Have you followed the directions elsewhere in this bug to remove all the
previously-generated stanzas from /etc/network/interfaces before running
pppoeconf? (See the top of comment #16)

We're far too late in the release (ie: a couple days away) to try to clean up
the breakage from previous pppoeconf versions, so this is about the best we can
do is deliver something that should work on fresh installs, and people who've
tracked breezy may be in for a bumpy ride.

Revision history for this message
tzutolin (tzutolin) wrote :

(In reply to comment #20)
> Have you followed the directions else(In reply to comment #19)
> >
> > The latest version, 1.8ubuntu2, seems not working here. I still have to redo
> > pppoeconf everytime i reboot.
>
> Have you followed the directions elsewhere in this bug to remove all the
> previously-generated stanzas from /etc/network/interfaces before running
> pppoeconf? (See the top of comment #16)
>
> We're far too late in the release (ie: a couple days away) to try to clean up
> the breakage from previous pppoeconf versions, so this is about the best we can
> do is deliver something that should work on fresh installs, and people who've
> tracked breezy may be in for a bumpy ride.
>

Yeah! It does work!! Thanks a lot!!! Thank You!
I wonder if the fixed version will be included in the final release, or do we
have to manually configure like this? :-)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.